Retrieves all the article stock location serials

Request Information

URI Parameters :

None.

Body Parameters :

None.

Response Information

Resource Description :

IHttpActionResult

article_stock_location_serial
NameDescriptionTypeAdditional information
id

Primary Key

globally unique identifier
article_id

Foreign key of article (mandatory)

globally unique identifier
article_stock_location_id

Foreign key of the article_stock_location (optional, use an empty guid when the serial is not linked to a stock location)

globally unique identifier
serial_number

Serial number (optional)

string

Max length: 255

reference_back_office

Field used for Embedded entity (store there your ERP PK)

string

Max length: 255

status

Status of the serial (Read-only, always AVAILABLE when created through the API)

string
sys_logical_delete

Readonly system field managed by database

boolean
archived

Readonly archived flag

boolean
modified_dateutc

Readonly system field managed by database, filled with GetUtcDate when adding,updating

date

Response Formats

application/json, text/json

Sample:
{
  "id": "78c7bdde-5061-4a6b-8009-12335d6a1e74",
  "article_id": "657aabb1-e2b9-4ca5-82f0-702a7a84691f",
  "article_stock_location_id": "3eea5991-ccd5-4c0a-a866-c7f634637364",
  "serial_number": "sample string 4",
  "reference_back_office": "sample string 5",
  "status": "sample string 6",
  "sys_logical_delete": true,
  "archived": true,
  "modified_dateutc": "2026-10-27T09:00:16.7341217+00:00"
}